MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::Singleton< T > Class Template Reference

`#include <MyGUI_Singleton.h>`

Inheritance diagram for MyGUI::Singleton< T >:
[legend]

## Public Types
typedef Singleton< T > | Base

## Public Member Functions
| Singleton ()
virtual | ~Singleton ()

## Static Public Member Functions
static T & | getInstance ()
static T * | getInstancePtr ()
static const char * | getClassTypeName ()

## Detailed Description

### template<class T>
class MyGUI::Singleton< T >

Definition at line 20 of file MyGUI_Singleton.h.

## Member Typedef Documentation

template<class T>

typedef Singleton<T> MyGUI::Singleton< T >::Base

Definition at line 24 of file MyGUI_Singleton.h.

## Constructor & Destructor Documentation

template<class T>

MyGUI::Singleton< T >::Singleton | ( |  | ) |
| inline

Definition at line 26 of file MyGUI_Singleton.h.

template<class T>

virtual MyGUI::Singleton< T >::~Singleton | ( |  | ) |
| inline virtual

Definition at line 32 of file MyGUI_Singleton.h.

## Member Function Documentation

template<class T>

static const char* MyGUI::Singleton< T >::getClassTypeName | ( |  | ) |
| inline static

Definition at line 49 of file MyGUI_Singleton.h.

template<class T>

static T& MyGUI::Singleton< T >::getInstance | ( |  | ) |
| inline static

Definition at line 38 of file MyGUI_Singleton.h.

template<class T>

static T* MyGUI::Singleton< T >::getInstancePtr | ( |  | ) |
| inline static

Definition at line 44 of file MyGUI_Singleton.h.

The documentation for this class was generated from the following file:

- MyGUI_Singleton.h